program DPtest
  use avomodel
!  use dottest
  use dotst

  implicit none
  real, dimension (2)		  :: dot1, dot2
  integer, parameter		  :: n1_in = 1000
  integer, parameter		  :: n2_in = 100
  real,    parameter		  :: o2_in = -60.
  real,    parameter		  :: d2_in = 1.
  real,dimension(n1_in*n2_in) 	  :: mask

  mask = 1.
  call avomodel_init(n1_in,n2_in,o2_in,d2_in,mask)
!  call avomodel_init(n1_in,n2_in,o2_in,d2_in)
  call dot_test( avomodel_lop, 3*n1_in, n1_in*n2_in, dot1, dot2 )
  write (6,*) dot1
  write (6,*) dot2
end program DPtest
